<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>title</title>
</head>
<body>
	<form>
		<fieldset>
		Firstname:
		<br/><input name="firstname" id="firstname" type="text" value=""><br/>
		Name:
		<br/><input name="name" id="name" type="text" value=""><br/>
		Age:
		<br/><input name="age" id="age" type="number" min="0" value=""><br/>
		Phone:
		<br/><input name="phone" id="phone" type="phone" value=""><br/>
		Email:
		<br/><input name="email" id="email" type="email" value="" ><br/>
		Student at 42 ? :
		<br/><input name="student" id="student" type="checkbox" value="yes"><br/>
		Gender:
		<br/><input id="gender_male" type="radio" value="Male">Male
		     <input id="gender_female" type="radio" value="Female">Female
			 <input id="gender_other" type="radio" value="Other">Other

			 <br/><input type="submit" onclick="displayFormContents()" value="submit">
		</fieldset>
	</form>
<script>
function displayFormContents() {

	var out = '';

	out += 'Firstname = ' + document.getElementById('firstname').value + '\n';
	out += 'Name = '      + document.getElementById('name').value      + '\n';
	out += 'Phone = '     + document.getElementById('phone').value     + '\n';
	out += 'Age = '       + document.getElementById('age').value       + '\n';
	out += 'Email = '     + document.getElementById('email').value     + '\n';

	out += 'Gender = ';
	if (document.getElementById('gender_male').checked == true)
		out += document.getElementById('gender_male').value;
	if (document.getElementById('gender_female').checked == true)
		out += document.getElementById('gender_female').value;
	if (document.getElementById('gender_other').checked == true)
		out += document.getElementById('gender_other').value;
	out += '\n';

	if (document.getElementById('student').checked == true)
		out += 'Student at 42 = yes';
	else
		out += 'Student at 42 = no';

	alert(out);

}
</script>
</body>
</html>
